Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

## Class BuiltinSuggestionProvider

- java.lang.Object
- - org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.BuiltinSuggestionProvider

All Implemented Interfaces:
  `SuggestionProvider`

    public class BuiltinSuggestionProvider
    extends Object
    implements SuggestionProvider

Provides the list of built-in functions that start with the provided context String.

### Constructor Summary

Constructors
`BuiltinSuggestionProvider()` Builds this object

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ContentAssistElement>` `getSuggestions​(String context)` Returns the list of ICompletionProposals It scans the ordered set up to the first valid element.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BuiltinSuggestionProvider

    public BuiltinSuggestionProvider()

Builds this object

### Method Detail

#### getSuggestions

    public List<ContentAssistElement> getSuggestions​(String context)

Returns the list of ICompletionProposals It scans the ordered set up to the first valid element. Once it is found it fills the temporary list with all the elements up to the first which is no more valid. At that point it returns.

Specified by:
  `getSuggestions` in interface `SuggestionProvider`
Parameters:
  `context` - is the prefix to be searched from. It can be an empty String but must not be null.
Returns:
  the list of suggestion proposals.